import { connect } from 'react-redux';

import { hasMultipleEvents } from '../../selectors/events.js';

import HeaderContentLeft from './HeaderContentLeft.js';

const matchStateToProps = (state, ownProps) => {
  const { routeName } = ownProps.navigation.state;

  return {
    activeRoute: routeName,
    hasMultipleEvents: hasMultipleEvents(state),
  };
};

export default connect(matchStateToProps, null)(HeaderContentLeft);
